# classes/phing/tasks/ext/MailTask.php

Send an e-mail message

The build process is a success...

author
  Francois Harvey at SecuriWeb (http://www.securiweb.net)
package
  phing.tasks.ext
version
  $Id: MailTask.php 992 2010-11-16 12:28:11Z mrook $

## \MailTask
jump to top

Send an e-mail message

The build process is a success...

Extends from
  \Task
author
  Francois Harvey at SecuriWeb (http://www.securiweb.net)
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
version
  $Id: MailTask.php 992 2010-11-16 12:28:11Z mrook $

### Properties

`$filesets= 'array'`
Default value `array` Details

Type

`$from= 'null'`
Default value `null` Details

Type

`$msg= 'null'`
Default value `null` Details

Type

`$subject= 'null'`
Default value `null` Details

Type

`$tolist= 'null'`
Default value `null` Details

Type

### Methods

`addText( $msg ) :`
Supports the <mail>Message syntax.
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

`createFileSet( ) :`
Adds a fileset
`main( ) :`
`setFrom( $from ) :`
Sets email address of sender
Parameters

Name | Type | Description
--- | --- | ---
$from |  |

`setMessage( $msg ) :`
Alias setter
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

`setMsg( $msg ) :`
Setter for message
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

`setRecipient( $recipient ) :`
Alias for (deprecated) recipient
Parameters

Name | Type | Description
--- | --- | ---
$recipient |  |

`setSubject( $subject ) :`
Setter for subject
Parameters

Name | Type | Description
--- | --- | ---
$subject |  |

`setTo( $to ) :`
Alias for to
Parameters

Name | Type | Description
--- | --- | ---
$to |  |

`setToList( $tolist ) :`
Setter for tolist
Parameters

Name | Type | Description
--- | --- | ---
$tolist |  |

Documentation was generated by DocBlox 0.13.1.